<?php
 function generar_reporte($pagina, $tamano_pagina, $tipo_perfil_exixtente, $codigo_empresa_existente)
 {
  if(!$pagina)
   {
    $inicio=0;
    $pagina=1;
   }
  else
   {
    $inicio=($pagina-1)*$tamano_pagina;
   }
   /*
   si $tipo_perfil_exixtente = 0 es perfil SuperAdministrador
   si $tipo_perfil_exixtente = 1 es perfil Administrador y toka realizar el query por codigo empresa
  */
 if($tipo_perfil_exixtente=='0')
 {
   $sql="SELECT * FROM contador_visitas";
 }
 else if($tipo_perfil_exixtente=='1')
 {
   $sql="SELECT * FROM contador_visitas WHERE codigo_empresa = '$codigo_empresa_existente'";
 }
  $resultado=mysql_db_query("virtualcourier", "$sql");
  $filas=mysql_num_rows($resultado);
  $total_paginas=ceil($filas/$tamano_pagina);
  ?>
    <center>
     <table width=85%>
      <tr class=miTable_tr>
       <td class=miTable_th1>Se encontraron <?php echo $filas;?> Registros</td>
       <td class=miTable_th1 colspan="2"><?php echo $pagina." de ".$total_paginas;?></td>
      </tr>	
     </table>
    </center>
  <?php
  echo"<CENTER><TABLE width=85%>";
  echo"<tr class=miTable_tr>";
   echo"<th class=miTable_th1><center></center></th>";
   echo'<th class=miTable_th1><center><a href=sumario_tipo.php?tipo_perfil_exixtente='.$tipo_perfil_exixtente.'&nit='.$codigo_empresa_existente.' title="Sumario por Tipo"><font color=white>[Tipo]</font></a></center></th>';
   echo'<th class=miTable_th1><center><a href=sumario_fecha.php title="Sumario por Fecha"><font color=white>[Fecha]</font></a></center></th>';
   echo"<th class=miTable_th1><center>[Hora]</center></th>";
   echo"<th class=miTable_th1><center>[Pagina]</center></th>";
  echo"</tr>";
  $sql="SELECT * FROM contador_visitas LIMIT $inicio,$tamano_pagina";
  $resultado=mysql_db_query("virtualcourier", "$sql");
  while($row=mysql_fetch_array($resultado))
   {
    echo"<TR class=miTable_tr>";
    if($row['1']==0 AND $row['2']==0)    
     {
      echo'<td class=miTable_td><img alt="User Super Administrador" title="User Super Administrador" src="imagenes/recursos/tipo_user.png" /></td>';
      echo"<TD class=miTable_td>Super Administrador</TD>";
     }
    else if($row['1']==0 AND $row['2']!=0)
     {
      $empresa=tomar_nombre_empresa_rpt($row['2']);
      echo'<td class=miTable_td><img alt="User Administrador" title="User Administrador" src="imagenes/recursos/tipo_user.png" /></td>';
      echo"<TD class=miTable_td>$empresa</TD>";
     }
    else if($row['1']!=0 AND $row['2']!=0)
     {
      $tabla_cliente=tomar_tabla_clientes($row['2']);
      $empresa=tomar_nombre_empresa_rpt($row['2']);
      $cliente=tomar_nombre_cliente_rpt($row['1'], $tabla_cliente);
      echo'<td class=miTable_td><img alt="User Cliente" title="User Cliente" src="imagenes/recursos/tipo_user.png" /></td>';
      echo"<TD class=miTable_td>$cliente</TD>";
     }
     echo"<TD class=miTable_td>".$row['3']."</TD>";    
     echo"<TD class=miTable_td>".$row['4']."</TD>";    
     echo"<TD class=miTable_td>".$row['7']."</TD>";
    echo"</TR>";
   }
   
  echo"<TR class=miTable_tr><TD class=miTable_th1 colspan=5>&nbsp;</th></TR>";  

  echo"</TABLE></CENTER>";

		 if($total_paginas>1)
			 {
			  for($i=1; $i<=$total_paginas; $i++)
			   { 
			    if($i==$pagina)
				 {
				  if($pagina==1)
				   {
				    echo"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".$pagina;
				    $j=$pagina+1;
				    echo"<a href='rpt_ingreso.php?pagina=$j'> >> </A>";
				   }
				  else if($pagina==$total_paginas)
				   {
				    $h=$pagina-1;
				    echo"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href='rpt_ingreso.php?pagina=$h'> << </A>";
				    echo"".$pagina;
				   }
				  else if($pagina!=1 AND $pagina!=$total_paginas)
				   {
				    $h=$pagina-1;
				    echo"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href='rpt_ingreso.php?pagina=$h'> << </A>";
				    echo"".$pagina;
				    $j=$pagina+1;
				    echo"<a href='rpt_ingreso.php?pagina=$j'> >> </A>";
			       }	
				 }
			   }
			 }



 }

function tomar_mes($valor_variable)
{
 $mes=date("m"); 
 
 $sql="SELECT * FROM meses";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 echo"<SELECT class=inputbox name=$valor_variable>";
  while($row=mysql_fetch_array($resultado))
   {
    if($row['mes']==$mes)
     {
      echo"<option value=".$row['mes']." selected>".$row['nombre']."</option>";
     }
    else
     {
      echo"<option value=".$row['mes'].">".$row['nombre']."</option>";
     }
   }
 echo"</SELECT>";
}

function tomar_dia($valor_variable)
{
 $dia=date(d);
 ?>
 <?php echo"<select class=inputbox name=$valor_variable>";?>
  <option value="<?php echo $dia;?>"><?php echo"".$dia;?></option>
	<?php
 	 for($i=1; $i<=31; $i++)
 	  {
  		if($i==$dia)
		 {
 		  ?>
		   <option value="<?php echo $dia?>" selected="selected"><?php echo $dia;?></option>
		  <?php
		 }
		else
		 {
		  ?>
		   <option value="<?php echo $i; ?>"><?php echo $i;?></option>
		  <?php
		 }
	  }
        ?>
   </select>
 <?php
}

function tomar_anno($valor_variable)
{
 $anno=date(Y);
 ?>
   <select class=inputbox name="<?php echo"".$valor_variable;?>">
   <option value="<?php echo"".$anno;?>"><?php echo"".$anno;?></option>
	<?php
 	 for($i=2000; $i<=2006; $i++)
 	  {
 		echo"<option value=$i>$i</option>";
	  }
        ?>
   </select>
 <?php
}

function tomar_hora($valor_variable)
{
 ?>
  <input type="text" class=inputbox value="00:00:00" name="<?php echo $valor_variable?>">
 <?php
}

function mostrar_perfiles()
{
 $sql="SELECT * FROM perfil";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 echo"<SELECT name=perfil_consulta class=inputbox>";
 echo"<option value=A>Todos</option>";
 while($row=mysql_fetch_array($resultado))
  {
   echo"<option value=".$row['tipo'].">".$row['descripcion']."</option>";
  }
}

function tomar_nombre($codigo_cliente, $codigo_empresa, $perfil)
{
 if($codigo_cliente=='0' AND $codigo_empresa=='0')
 {
   $nombre_perfil="ADMINISTRADOR";
   return $nombre_perfil;
 }
 else if($codigo_cliente=='0' AND $codigo_empresa!='0')
 {
  $nombre_empresa = tomar_nombre_empresa($codigo_empresa);
  return $nombre_empresa;
 }
 else if($codigo_cliente!='0' AND $codigo_empresa!='0')
 {
  $tabla_clientes=tomar_tabla_cltes($codigo_empresa);
  $nombre_cliente=tomar_nombre_clte($tabla_clientes, $codigo_cliente);
  return $nombre_cliente;
 }
}

function tomar_nombre_clte($tabla_cliente, $codigo_cliente)
{
 $sql="SELECT nombre FROM $tabla_cliente WHERE codigo = '$codigo_cliente'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row['nombre'];
}

function tomar_tabla_cltes($nit_empresa)
{
 $sql="SELECT nombre_tabla_cliente FROM tablas_creadas WHERE nit_empresa LIKE '$nit_empresa'"; 
 $resultado=mysql_db_query("virtualcourier", "$sql")  or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 2.1.2 ".mysql_errno()."</font></center><hr><br>");
 $filas=mysql_num_rows($resultado);
 if($filas>0)
  {
   $row=mysql_fetch_array($resultado);
   return ($row['nombre_tabla_cliente']);
  }
 else
  {
   return 0;
  }
}
?>